interactions:
- request:
    body: !!binary |
      cmVkaXJlY3RfdXJpPWh0dHAlM0ElMkYlMkYxMjcuMC4wLjElM0E2NTAwMCUyRiZncmFudF90eXBl
      PXJlZnJlc2hfdG9rZW4mcmVmcmVzaF90b2tlbj0qKioqKioqKioq
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [__cfduid=dc348748e62d1cb7fa69806dc4fc6991c1449042326]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMsQrCQBAFf2W5WiHBRKKlVlraiFW43D100XhhdxON4r9LtHowzLy38yFAtbZ0
        xd2tyRXFssryvJzftmUKfsfz4lA/jlhVL+H9qdjkeeVm5H5BbWOHqWrgBTJxPDsWaM3T22KZZTNy
        GtJfQ2SjC6slGYkj7sY2Ujtq3whiZFPqhAdvaKHqz1AS+EiCLomR+gGkfdOyTaNBuAENyeA+X6oK
        QFnKAAAA
    headers:
      CF-RAY: [24e569da44a51ed1-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:45:39 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAA12Q3U7DMAxGXyXydYXWqgjWx0CIWyttXGYtP5uTjEmId0cuLSrcOvH3HZ9PONmM
        wbKHwczWZ2oMRBsIBgMv5ByXV5LA0fo3pg8SaAxMQraQg8G0fd89PR664/Hh0Bg4sSOcJQWUNKaS
        d5mcMdd8oeiWxa1qjcJapi2ua/stTtGS+4/nOZ7xbCVYXVGeFALF8jtTlHQjwfb5L8F78kq9lfMS
        vx/oK1x9pFHv1O9I9wuLLZwiDCZW7xsDHMd0xynVWGAwy+U2442EZyaHtPosUlXnEjPJIlOV6P8f
        F5lT3BWsFrTk6xt1l/HkmQEAAA==
    headers:
      CF-RAY: [24e569e7c630012b-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:45:41 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d0f45d9d94c03cac2071107fa39d7bc1e1449042341; expires=Thu,
          01-Dec-16 07:45:41 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['584.0']
      x-ratelimit-reset: ['259']
      x-ratelimit-used: ['16']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d0f45d9d94c03cac2071107fa39d7bc1e1449042341]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 99693 characters]
    headers:
      CF-RAY: [24e569efe672012b-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['66850']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:45:43 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['583.0']
      x-ratelimit-reset: ['258']
      x-ratelimit-used: ['17']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=GyfmJB24qWfxsoTko5fdF6XD6m1ZGk5f7N%2Fnin%2FXhPTow98ZamP%2BjjMSoxFl5DE4%2Fx2RaozT6ckP0oADD%2FLgbNUVHFbsUvRO']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d0f45d9d94c03cac2071107fa39d7bc1e1449042341]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 49980 characters]
        qZgEPvn3v/8fAraXtEo9AwA=
    headers:
      CF-RAY: [24e569fc5712012b-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['33533']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:45:50 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['582.0']
      x-ratelimit-reset: ['251']
      x-ratelimit-used: ['18']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=YencI7FGFk1J%2B8WPQ7kNRJ7rphQzAfBbMcePpuVG9xNw%2FWsgk323AqmyEQltH7Az59CXZPuW4Es%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d0f45d9d94c03cac2071107fa39d7bc1e1449042341]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/r/Python/comments/2xmo63/.json
  response:
    body:
      string: !!binary |
[encoded data, 11390 characters]
    headers:
      CF-RAY: [24e56a25394c012b-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7637']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:45:51 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['581.0']
      x-ratelimit-reset: ['249']
      x-ratelimit-used: ['19']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=zdMdsU9IhSCeEhtBCcHoeVfG%2FPgG4FJ3Id1SFc209MCzZyJ54boc8bZ5%2FZkWk55QxdE5WyzNsck%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
